INTERFACE
SUBROUTINE GPPVO(KPROMA,KPROMVC,KSTART,KPROF,KFLEV,&
 & PRESF,PRDELP,PKAP,PRCORI,&
 & PVOR,PU,PV,PT,PTM,PTL,PSPM,PSPL,PVO,PTETA,&
 & LDVERCOR,LDRWSDLW,LDRWSDLR,PRCORIC,PVCRSSAF,PVCASRSF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTETA(KPROMA,KFLEV)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDVERCOR
LOGICAL,OPTIONAL ,INTENT(IN) :: LDRWSDLW
LOGICAL,OPTIONAL ,INTENT(IN) :: LDRWSDLR
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PRCORIC(KPROMA)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PVCRSSAF(KPROMVC,KFLEV)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PVCASRSF(KPROMVC,KFLEV)
END SUBROUTINE GPPVO
END INTERFACE
